# Vehicle
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.legacy.vehicles.objects

## Class Vehicle

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.legacy.vehicles.objects.Vehicle

Direct Known Subclasses:
  Bike, Boat, Car, Helicopter, Plane, Speeder, Tank

    public abstract class Vehicle
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Vehicle()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Vehicle

    public Vehicle()